Skip to content
Home

Kling Image 3.0 Omni

kling-v3-omni-image

Kirin V3 Omni Image multimodal image generation interface, supports text, image and custom elements as multimodal inputs.

POST /v1/queue/kling-v3-omni-image # Create task
GET /v1/queue/kling-v3-omni-image/requests/{request_id}/status # Check status
GET /v1/queue/kling-v3-omni-image/requests/{request_id}/response # Get result
PUT /v1/queue/kling-v3-omni-image/requests/{request_id}/cancel # Cancel task
Окно терминала
curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v3-omni-image' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--location \
--data-raw '{
"prompt": "A beautiful sunset landscape painting in impressionist style",
"image_list": [
{
"image": "https://www.gstatic.com/webp/gallery/2.jpg"
}
],
"resolution": "1k",
"n": 1,
"aspect_ratio": "1:1"
}'
prompt string required

Text prompt, can include positive and negative descriptions. You can template prompts to meet different image generation needs. Max 2500 characters

Image O3 model can achieve various capabilities through Prompt with images and other content, use <<<>>> format to specify an image, e.g., <<<image_1>>>

image_list array

Reference image list

Supports Base64 encoded image or image URL (ensure accessibility)

Image requirements:

Format: .jpg, .jpeg, .png

File size: max 10MB

Dimensions: min 300px for width and height

Aspect ratio: between 1:2.5 ~ 2.5:1

Quantity limits:

The total number of reference subjects and reference images must not exceed 10

image parameter value cannot be empty

Format as key:value pairs:

"image_list": [

{

"image": "image_url"

},

{

"image": "image_url"

}

]

image string required

Image URL or Base64 data

element_list array

Subject reference list, configured based on subject ID from subject library

To create a subject, refer to: kirin_custom_elements

Quantity limits:

The total number of reference subjects and reference images must not exceed 10

Format as key:value pairs:

"element_list": [

{

"element_id": long

}

]

element_id integer

Subject ID from subject library

resolution string

Image generation resolution

Options: 1k, 2k, 4k

Default: 1k

result_type string

Single image/series image generation toggle

Options: single, series

Default: single

n integer

Number of images to generate

Range 1 to 9

When result_type parameter is series, this parameter is invalid

Default: 1

Range: 1 - 9

series_amount integer

Number of images in series generation

When result_type parameter is single, this parameter is invalid

Default: 4

Range: 2 - 9

aspect_ratio string

Image aspect ratio (width:height)

When referencing original image aspect ratio for new image generation, this parameter is invalid

Options: 16:9, 9:16, 1:1, 4:3, 3:4, 3:2, 2:3, 21:9, auto

Default: auto

watermark_info array

Whether to generate results with watermarks simultaneously

Defined via the enabled parameter

Custom watermarks are not currently supported

Format as key:value pairs:

"watermark_info": {

"enabled": boolean

}

enabled boolean

true for generation, false for no generation

callback_url string

Callback notification address for this task result. If configured, the server will actively notify when the task status changes

external_task_id string

Custom task ID

User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID

Please note that uniqueness must be ensured under a single user

{
"request_id": "task_01hxyz...",
"response_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../response",
"status_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../status",
"cancel_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../cancel",
"queue_position": 0
}
FieldTypeDescription
request_idstringTask ID used for all follow-up operations.
response_urlstringURL to fetch the final result.
status_urlstringURL to query task status.
cancel_urlstringURL to cancel the task.
queue_positionintCurrent queue position.